textures/lights/mlight_40k
{
    q3map_lightimage textures/lights/light_m15.blend.tga
    qer_editorimage textures/lights/light_m15.tga
    q3map_surfacelight 45000
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m15.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m15.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/sfx/beam_1
{
	qer_editorimage textures/sfx/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
                blendFunc add
        }
}

textures/beachii/water_beach_six_fill
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/beachii/water_box
{
	qer_editorimage textures/liquids/pool3d_3.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	{ 
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale 50 50
		tcmod scroll .03 .02		
	}	
	{ 
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .5		
		tcmod scale 50 50
		tcmod scroll -.03 -.02	
	}
}

textures/beachii/water_beach_six
{
	qer_editorimage textures/liquids/pool3d_3.tga
	q3map_tcMod rotate 90
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 512
	cull disable
	deformVertexes wave 160 sin 0 10 0 .3
	{ 
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .03 .02		
	}	
	{ 
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .5		
		tcmod scale .2 .2
		tcmod scroll -.03 -.02	
	}
}

textures/beachii/water_beach_six_flow
{
	qer_editorimage textures/liquids/pool3d_3.tga
	q3map_tcMod rotate 90
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 512
	cull disable
	deformVertexes wave 160 sin 0 10 0 .3
	{ 
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .02 0.2		
	}	
	{ 
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .5		
		tcmod scale .2 .2
		tcmod scroll -.02 0.2	
	}
}

textures/beachii/beach_ii_sky
{
	qer_editorimage textures/skies/sky_3.tga
	q3map_lightimage textures/skies/sunset1.tga
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 1536
	q3map_sun	1.000000 0.839085 0.574855 40 185 15
	q3map_surfacelight 35
	skyparms full 200 -
	{
		map textures/beachii/sunset1.tga
		tcMod scale 1 1
		depthWrite
	}
}

textures/beachii/mp_beachii_base
{
	q3map_forcesunlight
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/beachii/mxterra6_0
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_1
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_2
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_3
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_4
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_0to1
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		//rgbGen vertex /////////
		//alphaGen vertex /////////
		tcmod scale 2 2
		rgbGen identity //normal
	}
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen vertex /////////
		alphaGen vertex //normal
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_0to2
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_0to3
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_0to4
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_1to2
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_1to3
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_1to4
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_2to3
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6_2to4
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps			
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}


textures/beachii/mxterra6_3to4
{
	q3map_baseshader textures/beachii/mp_beachii_base
	q3map_lightimage textures/stone/mxsand3.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		rgbGen identity
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/silver_light_vert2500
{
	q3map_lightimage textures/beachii/light_m01b.tga
	qer_editorimage textures/beachii/light_m01b_vert.tga
	q3map_surfacelight 3500
	surfaceparm nomarks
	{
		map textures/beachii/light_m01b_vert.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/beachii/light_m01b_vert.blend.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen const .9
	}
}